## visad.data
Class TupleNode

    java.lang.Object
      visad.data.DataNode
          visad.data.TupleNode

class TupleNode
extends DataNode

Concrete class for traversing a VisAD Tuple.

Field Summary
`protected TupleIface` `tuple` The VisAD Tuple

Constructor Summary
`protected` `TupleNode(TupleIface tuple)` Construct from a VisAD Tuple.

Method Summary
`DataVisitor` `accept(DataVisitor visitor)` Accept a visitor and traverse the Tuple.

Methods inherited from class visad.data.DataNode
`create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tuple

    protected final TupleIface tuple

  The VisAD Tuple

Constructor Detail

### TupleNode

    protected TupleNode(TupleIface tuple)

  Construct from a VisAD Tuple.

Parameters:
  `tuple` - The VisAD Tuple to be traversed.

Method Detail

### accept

    public DataVisitor accept(DataVisitor visitor)
                       throws UnimplementedException,
                              BadFormException,
                              VisADException,
                              RemoteException

  Accept a visitor and traverse the Tuple.

  Specified by:
    `accept` in class `DataNode`
  Parameters:
    `visitor` - The object that will have it's `visit()` method called for each component of the VisAD Tuple.
  Returns:
    `visitor` for convenience.
  Throws:
    `UnimplementedException` - A (soon to be implemented) method isn't implemented yet.
    `BadFormException` - The VisAD data object doesn't "fit" the data model used by `visitor`.
    `VisADException` - Problem in core VisAD (probably couldn't create some VisAD object).
    `RemoteException` - Problem accessing the VisAD data object.
  See Also:
    `DataVisitor`